=== modified file 'tests/exec-util-test.cc'
--- tests/exec-util-test.cc	2014-03-12 00:28:05 +0000
+++ tests/exec-util-test.cc	2014-04-30 16:18:29 +0000
@@ -20,7 +20,7 @@
 #include <gtest/gtest.h>
 #include <libdbustest/dbus-test.h>
 #include <gio/gio.h>
-#include <libupstart-app-launch/upstart-app-launch.h>
+#include <libubuntu-app-launch/ubuntu-app-launch.h>
 
 class ExecUtil : public ::testing::Test
 {
@@ -59,11 +59,11 @@
 			g_object_add_weak_pointer(G_OBJECT(bus), (gpointer *)&bus);
 
 			/* Make the handshake clear faster */
-			upstart_app_launch_observer_add_app_starting(starting_cb, NULL);
+			ubuntu_app_launch_observer_add_app_starting(starting_cb, NULL);
 		}
 
 		virtual void TearDown() {
-			upstart_app_launch_observer_delete_app_starting(starting_cb, NULL);
+			ubuntu_app_launch_observer_delete_app_starting(starting_cb, NULL);
 
 			g_clear_object(&mock);
 			g_clear_object(&service);

=== modified file 'tests/failure-test.cc'
--- tests/failure-test.cc	2013-12-20 16:03:50 +0000
+++ tests/failure-test.cc	2014-04-30 16:18:29 +0000
@@ -20,7 +20,7 @@
 #include <gtest/gtest.h>
 #include <glib/gstdio.h>
 #include <gio/gio.h>
-#include <upstart-app-launch.h>
+#include <ubuntu-app-launch.h>
 
 class FailureTest : public ::testing::Test
 {
@@ -61,9 +61,9 @@
 };
 
 static void
-failed_observer (const gchar * appid, upstart_app_launch_app_failed_t reason, gpointer user_data)
+failed_observer (const gchar * appid, ubuntu_app_launch_app_failed_t reason, gpointer user_data)
 {
-	if (reason == UPSTART_APP_LAUNCH_APP_FAILED_CRASH) {
+	if (reason == UBUNTU_APP_LAUNCH_APP_FAILED_CRASH) {
 		std::string * last = static_cast<std::string *>(user_data);
 		*last = appid;
 	}
@@ -77,7 +77,7 @@
 	g_setenv("INSTANCE", "foo", TRUE);
 
 	std::string last_observer;
-	ASSERT_TRUE(upstart_app_launch_observer_add_app_failed(failed_observer, &last_observer));
+	ASSERT_TRUE(ubuntu_app_launch_observer_add_app_failed(failed_observer, &last_observer));
 
 	/* Status based */
 	ASSERT_TRUE(g_spawn_command_line_sync(APP_FAILED_TOOL, NULL, NULL, NULL, NULL));
@@ -95,7 +95,7 @@
 
 	EXPECT_EQ("foo", last_observer);
 
-	ASSERT_TRUE(upstart_app_launch_observer_delete_app_failed(failed_observer, &last_observer));
+	ASSERT_TRUE(ubuntu_app_launch_observer_delete_app_failed(failed_observer, &last_observer));
 
 	return;
 }
@@ -107,7 +107,7 @@
 	g_setenv("INSTANCE", "foo-1234", TRUE);
 
 	std::string last_observer;
-	ASSERT_TRUE(upstart_app_launch_observer_add_app_failed(failed_observer, &last_observer));
+	ASSERT_TRUE(ubuntu_app_launch_observer_add_app_failed(failed_observer, &last_observer));
 
 	/* Status based */
 	ASSERT_TRUE(g_spawn_command_line_sync(APP_FAILED_TOOL, NULL, NULL, NULL, NULL));
@@ -115,15 +115,15 @@
 
 	EXPECT_EQ("foo", last_observer);
 
-	ASSERT_TRUE(upstart_app_launch_observer_delete_app_failed(failed_observer, &last_observer));
+	ASSERT_TRUE(ubuntu_app_launch_observer_delete_app_failed(failed_observer, &last_observer));
 
 	return;
 }
 
 static void
-failed_start_observer (const gchar * appid, upstart_app_launch_app_failed_t reason, gpointer user_data)
+failed_start_observer (const gchar * appid, ubuntu_app_launch_app_failed_t reason, gpointer user_data)
 {
-	if (reason == UPSTART_APP_LAUNCH_APP_FAILED_START_FAILURE) {
+	if (reason == UBUNTU_APP_LAUNCH_APP_FAILED_START_FAILURE) {
 		std::string * last = static_cast<std::string *>(user_data);
 		*last = appid;
 	}
@@ -138,14 +138,14 @@
 	g_unsetenv("EXIT_SIGNAL");
 
 	std::string last_observer;
-	ASSERT_TRUE(upstart_app_launch_observer_add_app_failed(failed_start_observer, &last_observer));
+	ASSERT_TRUE(ubuntu_app_launch_observer_add_app_failed(failed_start_observer, &last_observer));
 
 	ASSERT_TRUE(g_spawn_command_line_sync(APP_FAILED_TOOL, NULL, NULL, NULL, NULL));
 	pause(100);
 
 	EXPECT_EQ("foo", last_observer);
 
-	ASSERT_TRUE(upstart_app_launch_observer_delete_app_failed(failed_start_observer, &last_observer));
+	ASSERT_TRUE(ubuntu_app_launch_observer_delete_app_failed(failed_start_observer, &last_observer));
 
 	return;
 }

=== modified file 'tests/helper-handshake-test.cc'
--- tests/helper-handshake-test.cc	2013-12-06 11:34:29 +0000
+++ tests/helper-handshake-test.cc	2014-04-30 16:18:29 +0000
@@ -86,7 +86,7 @@
 	g_dbus_connection_emit_signal(con,
 		g_dbus_connection_get_unique_name(con), /* destination */
 		"/", /* path */
-		"com.canonical.UpstartAppLaunch", /* interface */
+		"com.canonical.UbuntuAppLaunch", /* interface */
 		"UnityStartingSignal", /* signal */
 		g_variant_new("(s)", "fooapp"), /* params, the same */
 		NULL);

=== modified file 'tests/libual-test.cc'
--- tests/libual-test.cc	2014-03-21 17:56:15 +0000
+++ tests/libual-test.cc	2014-04-30 16:18:29 +0000
@@ -21,7 +21,7 @@
 #include <gio/gio.h>
 
 extern "C" {
-#include "upstart-app-launch.h"
+#include "ubuntu-app-launch.h"
 #include "libdbustest/dbus-test.h"
 }
 
@@ -69,7 +69,7 @@
 
 		virtual void SetUp() {
 			gchar * linkfarmpath = g_build_filename(CMAKE_SOURCE_DIR, "link-farm", NULL);
-			g_setenv("UPSTART_APP_LAUNCH_LINK_FARM", linkfarmpath, TRUE);
+			g_setenv("UBUNTU_APP_LAUNCH_LINK_FARM", linkfarmpath, TRUE);
 			g_free(linkfarmpath);
 
 			g_setenv("XDG_DATA_DIRS", CMAKE_SOURCE_DIR, TRUE);
@@ -223,13 +223,13 @@
 			g_dbus_connection_set_exit_on_close(bus, FALSE);
 			g_object_add_weak_pointer(G_OBJECT(bus), (gpointer *)&bus);
 
-			ASSERT_TRUE(upstart_app_launch_observer_add_app_focus(focus_cb, this));
-			ASSERT_TRUE(upstart_app_launch_observer_add_app_resume(resume_cb, this));
+			ASSERT_TRUE(ubuntu_app_launch_observer_add_app_focus(focus_cb, this));
+			ASSERT_TRUE(ubuntu_app_launch_observer_add_app_resume(resume_cb, this));
 		}
 
 		virtual void TearDown() {
-			upstart_app_launch_observer_delete_app_focus(focus_cb, this);
-			upstart_app_launch_observer_delete_app_resume(resume_cb, this);
+			ubuntu_app_launch_observer_delete_app_focus(focus_cb, this);
+			ubuntu_app_launch_observer_delete_app_resume(resume_cb, this);
 
 			g_clear_object(&mock);
 			g_clear_object(&service);
@@ -304,13 +304,13 @@
 	DbusTestDbusMockObject * obj = dbus_test_dbus_mock_get_object(mock, "/com/test/application_click", "com.ubuntu.Upstart0_6.Job", NULL);
 
 	/* Basic make sure we can send the event */
-	ASSERT_TRUE(upstart_app_launch_start_application("foolike", NULL));
+	ASSERT_TRUE(ubuntu_app_launch_start_application("foolike", NULL));
 	EXPECT_EQ(1, dbus_test_dbus_mock_object_check_method_call(mock, obj, "Start", NULL, NULL));
 
 	ASSERT_TRUE(dbus_test_dbus_mock_object_clear_method_calls(mock, obj, NULL));
 
 	/* Now look at the details of the call */
-	ASSERT_TRUE(upstart_app_launch_start_application("foolike", NULL));
+	ASSERT_TRUE(ubuntu_app_launch_start_application("foolike", NULL));
 
 	guint len = 0;
 	const DbusTestDbusMockCall * calls = dbus_test_dbus_mock_object_get_method_calls(mock, obj, "Start", &len, NULL);
@@ -337,7 +337,7 @@
 		"file:///home/phablet/test.txt",
 		NULL
 	};
-	ASSERT_TRUE(upstart_app_launch_start_application("foolike", urls));
+	ASSERT_TRUE(ubuntu_app_launch_start_application("foolike", urls));
 
 	len = 0;
 	calls = dbus_test_dbus_mock_object_get_method_calls(mock, obj, "Start", &len, NULL);
@@ -356,7 +356,7 @@
 {
 	DbusTestDbusMockObject * obj = dbus_test_dbus_mock_get_object(mock, "/com/test/application_click", "com.ubuntu.Upstart0_6.Job", NULL);
 
-	ASSERT_TRUE(upstart_app_launch_start_application_test("foolike", NULL));
+	ASSERT_TRUE(ubuntu_app_launch_start_application_test("foolike", NULL));
 
 	guint len = 0;
 	const DbusTestDbusMockCall * calls = dbus_test_dbus_mock_object_get_method_calls(mock, obj, "Start", &len, NULL);
@@ -380,7 +380,7 @@
 {
 	DbusTestDbusMockObject * obj = dbus_test_dbus_mock_get_object(mock, "/com/test/application_click", "com.ubuntu.Upstart0_6.Job", NULL);
 
-	ASSERT_TRUE(upstart_app_launch_stop_application("foo"));
+	ASSERT_TRUE(ubuntu_app_launch_stop_application("foo"));
 
 	ASSERT_EQ(dbus_test_dbus_mock_object_check_method_call(mock, obj, "Stop", NULL, NULL), 1);
 
@@ -388,25 +388,25 @@
 
 TEST_F(LibUAL, ApplicationLog)
 {
-	gchar * click_log = upstart_app_launch_application_log_path("foo");
+	gchar * click_log = ubuntu_app_launch_application_log_path("foo");
 	EXPECT_STREQ(CMAKE_SOURCE_DIR "/upstart/application-click-foo.log", click_log);
 	g_free(click_log);
 
-	gchar * legacy_single = upstart_app_launch_application_log_path("single");
+	gchar * legacy_single = ubuntu_app_launch_application_log_path("single");
 	EXPECT_STREQ(CMAKE_SOURCE_DIR "/upstart/application-legacy-single-.log", legacy_single);
 	g_free(legacy_single);
 
-	gchar * legacy_multiple = upstart_app_launch_application_log_path("bar");
+	gchar * legacy_multiple = ubuntu_app_launch_application_log_path("bar");
 	EXPECT_STREQ(CMAKE_SOURCE_DIR "/upstart/application-legacy-bar-2342345.log", legacy_multiple);
 	g_free(legacy_multiple);
 }
 
 TEST_F(LibUAL, ApplicationPid)
 {
-	EXPECT_EQ(upstart_app_launch_get_primary_pid("foo"), getpid());
-	EXPECT_EQ(upstart_app_launch_get_primary_pid("bar"), 5678);
-	EXPECT_TRUE(upstart_app_launch_pid_in_app_id(getpid(), "foo"));
-	EXPECT_FALSE(upstart_app_launch_pid_in_app_id(5678, "foo"));
+	EXPECT_EQ(ubuntu_app_launch_get_primary_pid("foo"), getpid());
+	EXPECT_EQ(ubuntu_app_launch_get_primary_pid("bar"), 5678);
+	EXPECT_TRUE(ubuntu_app_launch_pid_in_app_id(getpid(), "foo"));
+	EXPECT_FALSE(ubuntu_app_launch_pid_in_app_id(5678, "foo"));
 }
 
 TEST_F(LibUAL, ApplicationId)
@@ -415,42 +415,42 @@
 	g_setenv("TEST_CLICK_USER", "test-user", TRUE);
 
 	/* Test with current-user-version, should return the version in the manifest */
-	EXPECT_STREQ("com.test.good_application_1.2.3", upstart_app_launch_triplet_to_app_id("com.test.good", "application", "current-user-version"));
+	EXPECT_STREQ("com.test.good_application_1.2.3", ubuntu_app_launch_triplet_to_app_id("com.test.good", "application", "current-user-version"));
 
 	/* Test with version specified, shouldn't even read the manifest */
-	EXPECT_STREQ("com.test.good_application_1.2.4", upstart_app_launch_triplet_to_app_id("com.test.good", "application", "1.2.4"));
+	EXPECT_STREQ("com.test.good_application_1.2.4", ubuntu_app_launch_triplet_to_app_id("com.test.good", "application", "1.2.4"));
 
 	/* Test with out a version or app, should return the version in the manifest */
-	EXPECT_STREQ("com.test.good_application_1.2.3", upstart_app_launch_triplet_to_app_id("com.test.good", "first-listed-app", "current-user-version"));
+	EXPECT_STREQ("com.test.good_application_1.2.3", ubuntu_app_launch_triplet_to_app_id("com.test.good", "first-listed-app", "current-user-version"));
 
 	/* Test with a version or but wildcard app, should return the version in the manifest */
-	EXPECT_STREQ("com.test.good_application_1.2.4", upstart_app_launch_triplet_to_app_id("com.test.good", "last-listed-app", "1.2.4"));
+	EXPECT_STREQ("com.test.good_application_1.2.4", ubuntu_app_launch_triplet_to_app_id("com.test.good", "last-listed-app", "1.2.4"));
 
 	/* Make sure we can select the app from a list correctly */
-	EXPECT_STREQ("com.test.multiple_first_1.2.3", upstart_app_launch_triplet_to_app_id("com.test.multiple", "first-listed-app", NULL));
-	EXPECT_STREQ("com.test.multiple_first_1.2.3", upstart_app_launch_triplet_to_app_id("com.test.multiple", NULL, NULL));
-	EXPECT_STREQ("com.test.multiple_fifth_1.2.3", upstart_app_launch_triplet_to_app_id("com.test.multiple", "last-listed-app", NULL));
-	EXPECT_EQ(nullptr, upstart_app_launch_triplet_to_app_id("com.test.multiple", "only-listed-app", NULL));
-	EXPECT_STREQ("com.test.good_application_1.2.3", upstart_app_launch_triplet_to_app_id("com.test.good", "only-listed-app", NULL));
+	EXPECT_STREQ("com.test.multiple_first_1.2.3", ubuntu_app_launch_triplet_to_app_id("com.test.multiple", "first-listed-app", NULL));
+	EXPECT_STREQ("com.test.multiple_first_1.2.3", ubuntu_app_launch_triplet_to_app_id("com.test.multiple", NULL, NULL));
+	EXPECT_STREQ("com.test.multiple_fifth_1.2.3", ubuntu_app_launch_triplet_to_app_id("com.test.multiple", "last-listed-app", NULL));
+	EXPECT_EQ(nullptr, ubuntu_app_launch_triplet_to_app_id("com.test.multiple", "only-listed-app", NULL));
+	EXPECT_STREQ("com.test.good_application_1.2.3", ubuntu_app_launch_triplet_to_app_id("com.test.good", "only-listed-app", NULL));
 
 	/* A bunch that should be NULL */
-	EXPECT_EQ(nullptr, upstart_app_launch_triplet_to_app_id("com.test.no-hooks", NULL, NULL));
-	EXPECT_EQ(nullptr, upstart_app_launch_triplet_to_app_id("com.test.no-json", NULL, NULL));
-	EXPECT_EQ(nullptr, upstart_app_launch_triplet_to_app_id("com.test.no-object", NULL, NULL));
-	EXPECT_EQ(nullptr, upstart_app_launch_triplet_to_app_id("com.test.no-version", NULL, NULL));
+	EXPECT_EQ(nullptr, ubuntu_app_launch_triplet_to_app_id("com.test.no-hooks", NULL, NULL));
+	EXPECT_EQ(nullptr, ubuntu_app_launch_triplet_to_app_id("com.test.no-json", NULL, NULL));
+	EXPECT_EQ(nullptr, ubuntu_app_launch_triplet_to_app_id("com.test.no-object", NULL, NULL));
+	EXPECT_EQ(nullptr, ubuntu_app_launch_triplet_to_app_id("com.test.no-version", NULL, NULL));
 }
 
 TEST_F(LibUAL, AppIdParse)
 {
-	EXPECT_TRUE(upstart_app_launch_app_id_parse("com.ubuntu.test_test_123", NULL, NULL, NULL));
-	EXPECT_FALSE(upstart_app_launch_app_id_parse("inkscape", NULL, NULL, NULL));
-	EXPECT_FALSE(upstart_app_launch_app_id_parse("music-app", NULL, NULL, NULL));
+	EXPECT_TRUE(ubuntu_app_launch_app_id_parse("com.ubuntu.test_test_123", NULL, NULL, NULL));
+	EXPECT_FALSE(ubuntu_app_launch_app_id_parse("inkscape", NULL, NULL, NULL));
+	EXPECT_FALSE(ubuntu_app_launch_app_id_parse("music-app", NULL, NULL, NULL));
 
 	gchar * pkg;
 	gchar * app;
 	gchar * version;
 
-	ASSERT_TRUE(upstart_app_launch_app_id_parse("com.ubuntu.test_test_123", &pkg, &app, &version));
+	ASSERT_TRUE(ubuntu_app_launch_app_id_parse("com.ubuntu.test_test_123", &pkg, &app, &version));
 	EXPECT_STREQ("com.ubuntu.test", pkg);
 	EXPECT_STREQ("test", app);
 	EXPECT_STREQ("123", version);
@@ -464,7 +464,7 @@
 
 TEST_F(LibUAL, ApplicationList)
 {
-	gchar ** apps = upstart_app_launch_list_running_apps();
+	gchar ** apps = ubuntu_app_launch_list_running_apps();
 
 	ASSERT_NE(apps, nullptr);
 	ASSERT_EQ(g_strv_length(apps), 2);
@@ -510,8 +510,8 @@
 		.name = nullptr
 	};
 
-	ASSERT_TRUE(upstart_app_launch_observer_add_app_started(observer_cb, &start_data));
-	ASSERT_TRUE(upstart_app_launch_observer_add_app_stop(observer_cb, &stop_data));
+	ASSERT_TRUE(ubuntu_app_launch_observer_add_app_started(observer_cb, &start_data));
+	ASSERT_TRUE(ubuntu_app_launch_observer_add_app_stop(observer_cb, &stop_data));
 
 	DbusTestDbusMockObject * obj = dbus_test_dbus_mock_get_object(mock, "/com/ubuntu/Upstart", "com.ubuntu.Upstart0_6", NULL);
 
@@ -619,8 +619,8 @@
 
 
 	/* Remove */
-	ASSERT_TRUE(upstart_app_launch_observer_delete_app_started(observer_cb, &start_data));
-	ASSERT_TRUE(upstart_app_launch_observer_delete_app_stop(observer_cb, &stop_data));
+	ASSERT_TRUE(ubuntu_app_launch_observer_delete_app_started(observer_cb, &start_data));
+	ASSERT_TRUE(ubuntu_app_launch_observer_delete_app_stop(observer_cb, &stop_data));
 }
 
 static GDBusMessage *
@@ -654,7 +654,7 @@
 		&starting_count,
 		NULL);
 
-	EXPECT_TRUE(upstart_app_launch_observer_add_app_starting(starting_observer, &last_observer));
+	EXPECT_TRUE(ubuntu_app_launch_observer_add_app_starting(starting_observer, &last_observer));
 
 	g_dbus_connection_emit_signal(session,
 		NULL, /* destination */
@@ -669,7 +669,7 @@
 	EXPECT_EQ("foo", last_observer);
 	EXPECT_EQ(1, starting_count);
 
-	EXPECT_TRUE(upstart_app_launch_observer_delete_app_starting(starting_observer, &last_observer));
+	EXPECT_TRUE(ubuntu_app_launch_observer_delete_app_starting(starting_observer, &last_observer));
 
 	g_dbus_connection_remove_filter(session, filter);
 	g_object_unref(session);
@@ -677,7 +677,7 @@
 
 TEST_F(LibUAL, AppIdTest)
 {
-	ASSERT_TRUE(upstart_app_launch_start_application("foo", NULL));
+	ASSERT_TRUE(ubuntu_app_launch_start_application("foo", NULL));
 	pause(50); /* Ensure all the events come through */
 	EXPECT_EQ("foo", this->last_focus_appid);
 	EXPECT_EQ("foo", this->last_resume_appid);
@@ -712,7 +712,7 @@
 		"http://www.test.com",
 		NULL
 	};
-	ASSERT_TRUE(upstart_app_launch_start_application("foo", uris));
+	ASSERT_TRUE(ubuntu_app_launch_start_application("foo", uris));
 	pause(100); /* Ensure all the events come through */
 
 	EXPECT_EQ("foo", this->last_focus_appid);
@@ -746,7 +746,7 @@
 		NULL
 	};
 
-	ASSERT_TRUE(upstart_app_launch_start_application("foo", uris));
+	ASSERT_TRUE(ubuntu_app_launch_start_application("foo", uris));
 	pause(100); /* Ensure all the events come through */
 
 	EXPECT_EQ("foo", this->last_focus_appid);
@@ -757,7 +757,7 @@
 {
 	this->resume_timeout = 100;
 
-	ASSERT_TRUE(upstart_app_launch_start_application("foo", NULL));
+	ASSERT_TRUE(ubuntu_app_launch_start_application("foo", NULL));
 	pause(1000); /* Ensure all the events come through */
 	EXPECT_EQ("foo", this->last_focus_appid);
 	EXPECT_EQ("foo", this->last_resume_appid);
@@ -772,7 +772,7 @@
 		NULL
 	};
 
-	ASSERT_TRUE(upstart_app_launch_start_application("foo", uris));
+	ASSERT_TRUE(ubuntu_app_launch_start_application("foo", uris));
 	pause(1000); /* Ensure all the events come through */
 	EXPECT_EQ("foo", this->last_focus_appid);
 	EXPECT_EQ("foo", this->last_resume_appid);
@@ -804,7 +804,7 @@
 		NULL
 	};
 
-	ASSERT_TRUE(upstart_app_launch_start_application("foo", uris));
+	ASSERT_TRUE(ubuntu_app_launch_start_application("foo", uris));
 
 	guint end = g_get_monotonic_time();
 
@@ -825,7 +825,7 @@
 	DbusTestDbusMockObject * obj = dbus_test_dbus_mock_get_object(mock, "/com/test/application_legacy", "com.ubuntu.Upstart0_6.Job", NULL);
 
 	/* Check for a single-instance app */
-	ASSERT_TRUE(upstart_app_launch_start_application("single", NULL));
+	ASSERT_TRUE(ubuntu_app_launch_start_application("single", NULL));
 
 	guint len = 0;
 	const DbusTestDbusMockCall * calls = dbus_test_dbus_mock_object_get_method_calls(mock, obj, "Start", &len, NULL);
@@ -847,7 +847,7 @@
 	ASSERT_TRUE(dbus_test_dbus_mock_object_clear_method_calls(mock, obj, NULL));
 
 	/* Check for a multi-instance app */
-	ASSERT_TRUE(upstart_app_launch_start_application("multiple", NULL));
+	ASSERT_TRUE(ubuntu_app_launch_start_application("multiple", NULL));
 
 	len = 0;
 	calls = dbus_test_dbus_mock_object_get_method_calls(mock, obj, "Start", &len, NULL);
@@ -868,9 +868,9 @@
 }
 
 static void
-failed_observer (const gchar * appid, upstart_app_launch_app_failed_t reason, gpointer user_data)
+failed_observer (const gchar * appid, ubuntu_app_launch_app_failed_t reason, gpointer user_data)
 {
-	if (reason == UPSTART_APP_LAUNCH_APP_FAILED_CRASH) {
+	if (reason == UBUNTU_APP_LAUNCH_APP_FAILED_CRASH) {
 		std::string * last = static_cast<std::string *>(user_data);
 		*last = appid;
 	}
@@ -882,7 +882,7 @@
 	std::string last_observer;
 	GDBusConnection * session = g_bus_get_sync(G_BUS_TYPE_SESSION, NULL, NULL);
 
-	EXPECT_TRUE(upstart_app_launch_observer_add_app_failed(failed_observer, &last_observer));
+	EXPECT_TRUE(ubuntu_app_launch_observer_add_app_failed(failed_observer, &last_observer));
 
 	g_dbus_connection_emit_signal(session,
 		NULL, /* destination */
@@ -924,7 +924,7 @@
 
 	EXPECT_TRUE(last_observer.empty());
 
-	EXPECT_TRUE(upstart_app_launch_observer_delete_app_failed(failed_observer, &last_observer));
+	EXPECT_TRUE(ubuntu_app_launch_observer_delete_app_failed(failed_observer, &last_observer));
 
 	g_object_unref(session);
 }
@@ -934,13 +934,13 @@
 	DbusTestDbusMockObject * obj = dbus_test_dbus_mock_get_object(mock, "/com/test/untrusted/helper", "com.ubuntu.Upstart0_6.Job", NULL);
 
 	/* Basic make sure we can send the event */
-	ASSERT_TRUE(upstart_app_launch_start_helper("untrusted-type", "foolike", NULL));
+	ASSERT_TRUE(ubuntu_app_launch_start_helper("untrusted-type", "foolike", NULL));
 	EXPECT_EQ(1, dbus_test_dbus_mock_object_check_method_call(mock, obj, "Start", NULL, NULL));
 
 	ASSERT_TRUE(dbus_test_dbus_mock_object_clear_method_calls(mock, obj, NULL));
 
 	/* Now look at the details of the call */
-	ASSERT_TRUE(upstart_app_launch_start_helper("untrusted-type", "foolike", NULL));
+	ASSERT_TRUE(ubuntu_app_launch_start_helper("untrusted-type", "foolike", NULL));
 
 	guint len = 0;
 	const DbusTestDbusMockCall * calls = dbus_test_dbus_mock_object_get_method_calls(mock, obj, "Start", &len, NULL);
@@ -963,7 +963,7 @@
 	ASSERT_TRUE(dbus_test_dbus_mock_object_clear_method_calls(mock, obj, NULL));
 
 	/* Now check a multi out */ 
-	gchar * instance_id = upstart_app_launch_start_multiple_helper("untrusted-type", "foolike", NULL);
+	gchar * instance_id = ubuntu_app_launch_start_multiple_helper("untrusted-type", "foolike", NULL);
 	ASSERT_NE(nullptr, instance_id);
 	g_debug("Multi-instance ID: %s", instance_id);
 
@@ -995,7 +995,7 @@
 		"file:///home/phablet/test.txt",
 		NULL
 	};
-	ASSERT_TRUE(upstart_app_launch_start_helper("untrusted-type", "foolike", urls));
+	ASSERT_TRUE(ubuntu_app_launch_start_helper("untrusted-type", "foolike", urls));
 
 	len = 0;
 	calls = dbus_test_dbus_mock_object_get_method_calls(mock, obj, "Start", &len, NULL);
@@ -1017,7 +1017,7 @@
 	DbusTestDbusMockObject * obj = dbus_test_dbus_mock_get_object(mock, "/com/test/untrusted/helper", "com.ubuntu.Upstart0_6.Job", NULL);
 
 	/* Basic helper */
-	ASSERT_TRUE(upstart_app_launch_stop_helper("untrusted-type", "foo"));
+	ASSERT_TRUE(ubuntu_app_launch_stop_helper("untrusted-type", "foo"));
 
 	ASSERT_EQ(dbus_test_dbus_mock_object_check_method_call(mock, obj, "Stop", NULL, NULL), 1);
 
@@ -1042,7 +1042,7 @@
 	ASSERT_TRUE(dbus_test_dbus_mock_object_clear_method_calls(mock, obj, NULL));
 
 	/* Multi helper */
-	ASSERT_TRUE(upstart_app_launch_stop_multiple_helper("untrusted-type", "foo", "instance-me"));
+	ASSERT_TRUE(ubuntu_app_launch_stop_multiple_helper("untrusted-type", "foo", "instance-me"));
 
 	ASSERT_EQ(dbus_test_dbus_mock_object_check_method_call(mock, obj, "Stop", NULL, NULL), 1);
 
@@ -1071,14 +1071,14 @@
 
 TEST_F(LibUAL, HelperList)
 {
-	gchar ** blanktype = upstart_app_launch_list_helpers("not-a-type");
+	gchar ** blanktype = ubuntu_app_launch_list_helpers("not-a-type");
 
 	EXPECT_NE(nullptr, blanktype);
 	EXPECT_EQ(0, g_strv_length(blanktype));
 
 	g_strfreev(blanktype);
 
-	gchar ** goodtype = upstart_app_launch_list_helpers("untrusted-type");
+	gchar ** goodtype = ubuntu_app_launch_list_helpers("untrusted-type");
 
 	EXPECT_NE(nullptr, goodtype);
 	EXPECT_EQ(2, g_strv_length(goodtype));
@@ -1096,14 +1096,14 @@
 
 TEST_F(LibUAL, HelperInstanceList)
 {
-	gchar ** blanktype = upstart_app_launch_list_helper_instances("not-a-type", "com.bar_foo_8432.13.1");
+	gchar ** blanktype = ubuntu_app_launch_list_helper_instances("not-a-type", "com.bar_foo_8432.13.1");
 
 	EXPECT_NE(nullptr, blanktype);
 	EXPECT_EQ(0, g_strv_length(blanktype));
 
 	g_strfreev(blanktype);
 
-	gchar ** goodtype = upstart_app_launch_list_helper_instances("untrusted-type", "com.bar_foo_8432.13.1");
+	gchar ** goodtype = ubuntu_app_launch_list_helper_instances("untrusted-type", "com.bar_foo_8432.13.1");
 
 	EXPECT_NE(nullptr, goodtype);
 	EXPECT_EQ(1, g_strv_length(goodtype));
@@ -1147,8 +1147,8 @@
 		.instance = "1234"
 	};
 
-	ASSERT_TRUE(upstart_app_launch_observer_add_helper_started(helper_observer_cb, "my-type-is-scorpio", &start_data));
-	ASSERT_TRUE(upstart_app_launch_observer_add_helper_stop(helper_observer_cb, "my-type-is-libra", &stop_data));
+	ASSERT_TRUE(ubuntu_app_launch_observer_add_helper_started(helper_observer_cb, "my-type-is-scorpio", &start_data));
+	ASSERT_TRUE(ubuntu_app_launch_observer_add_helper_stop(helper_observer_cb, "my-type-is-libra", &stop_data));
 
 	DbusTestDbusMockObject * obj = dbus_test_dbus_mock_get_object(mock, "/com/ubuntu/Upstart", "com.ubuntu.Upstart0_6", NULL);
 
@@ -1181,6 +1181,6 @@
 	ASSERT_EQ(stop_data.count, 1);
 
 	/* Remove */
-	ASSERT_TRUE(upstart_app_launch_observer_delete_helper_started(helper_observer_cb, "my-type-is-scorpio", &start_data));
-	ASSERT_TRUE(upstart_app_launch_observer_delete_helper_stop(helper_observer_cb, "my-type-is-libra", &stop_data));
+	ASSERT_TRUE(ubuntu_app_launch_observer_delete_helper_started(helper_observer_cb, "my-type-is-scorpio", &start_data));
+	ASSERT_TRUE(ubuntu_app_launch_observer_delete_helper_stop(helper_observer_cb, "my-type-is-libra", &stop_data));
 }

=== modified file 'tests/manual'
--- tests/manual	2014-02-13 22:43:55 +0000
+++ tests/manual	2014-04-30 16:18:29 +0000
@@ -1,34 +1,34 @@
-Test-case upstart-app-launch/click-app
+Test-case ubuntu-app-launch/click-app
 <dl>
     <dt>Ensure the clock is installed via click by running: <tt>click list</tt></dt>
         <dd><tt>com.ubuntu.clock</tt> should be listed. <i>Note the version for later</i></dd>
-    <dt>Ensure the clock app is not currently running: <tt>upstart-app-list</tt></dt>
+    <dt>Ensure the clock app is not currently running: <tt>ubuntu-app-list</tt></dt>
         <dd>Clock application shouldn't be listed</dd>
-    <dt>Launch the clock application: <tt>upstart-app-launch com.ubuntu.clock_clock_$(version from click list)</tt></dt>
+    <dt>Launch the clock application: <tt>ubuntu-app-launch com.ubuntu.clock_clock_$(version from click list)</tt></dt>
         <dd>The clock application should be brought to focus and shown to the user</dd>
 </dl>
 
-Test-case upstart-app-launch/legacy-app
+Test-case ubuntu-app-launch/legacy-app
 <dl>
     <dt>Ensure that the system-settings is installed: <tt>apt-cache policy ubuntu-system-settings</tt></dt>
         <dd>One of the versions in the version table should a <tt>***</tt> next to it</dd>
-    <dt>Ensure the settings app is not currently running: <tt>upstart-app-list</tt></dt>
+    <dt>Ensure the settings app is not currently running: <tt>ubuntu-app-list</tt></dt>
         <dd>Settings shouldn't be listed</dd>
-    <dt>Launch the settings application: <tt>upstart-app-launch ubuntu-system-settings</tt></dt>
+    <dt>Launch the settings application: <tt>ubuntu-app-launch ubuntu-system-settings</tt></dt>
         <dd>The settings application should be brought to focus and shown to the user</dd>
 </dl>
 
-Test-case upstart-app-launch/secondary-activation
+Test-case ubuntu-app-launch/secondary-activation
 <dl>
-    <dt>Run test case: upstart-app-launch/legacy-app</dt>
+    <dt>Run test case: ubuntu-app-launch/legacy-app</dt>
         <dd>Everything behaves as expected</dd>
     <dt>Use the launcher to return to the home screen</dt>
         <dd>The settings app is no longer shown</dd>
-    <dt>Send a URL to the service: <tt>upstart-app-launch ubuntu-system-settings settings:///system/battery</tt></dt>
+    <dt>Send a URL to the service: <tt>ubuntu-app-launch ubuntu-system-settings settings:///system/battery</tt></dt>
         <dd>The settings application should come back into focus and be on the power settings pane</dd>
 </dl>
 
-Test-case upstart-app-launch/helper-run
+Test-case ubuntu-app-launch/helper-run
 <dl>
     <dt>NOTE: Test is theoretical today, needs other components to be written</dt>
     <dt>Get a device that supports sending SMS</dt>
@@ -43,7 +43,7 @@
         <dd>Count should have incremented by 1</dd>
 </dl>
 
-Test-case upstart-app-launch/security-app-launch
+Test-case ubuntu-app-launch/security-app-launch
 <dl>
     <dt>Setup the security tests: https://wiki.ubuntu.com/Touch/Testing#Running_Security_tests</dt>
     <dt>Execute the <tt>click-apparmor</tt> test to start and stop several confined applications</dt>

=== modified file 'tests/ubuntu-app-launch-mock.c'
--- tests/ubuntu-app-launch-mock.c	2014-04-30 15:45:23 +0000
+++ tests/ubuntu-app-launch-mock.c	2014-04-30 16:18:29 +0000
@@ -17,14 +17,14 @@
  *     Ted Gould <ted.gould@canonical.com>
  */
 
-#include "upstart-app-launch.h"
-#include "upstart-app-launch-mock.h"
+#include "ubuntu-app-launch.h"
+#include "ubuntu-app-launch-mock.h"
 
 static GPid primary_pid = 0;
 static gchar * primary_pid_appid = NULL;
 
 GPid
-upstart_app_launch_get_primary_pid (const gchar * appid)
+ubuntu_app_launch_get_primary_pid (const gchar * appid)
 {
 	g_free(primary_pid_appid);
 	primary_pid_appid = g_strdup(appid);
@@ -32,7 +32,7 @@
 }
 
 void
-upstart_app_launch_mock_set_primary_pid (GPid pid)
+ubuntu_app_launch_mock_set_primary_pid (GPid pid)
 {
 	primary_pid = pid;
 	return;

=== modified file 'tests/ubuntu-app-launch-mock.h'
--- tests/ubuntu-app-launch-mock.h	2014-04-30 15:45:23 +0000
+++ tests/ubuntu-app-launch-mock.h	2014-04-30 16:18:29 +0000
@@ -14,5 +14,5 @@
  * with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 
-void upstart_app_launch_mock_set_primary_pid (GPid pid);
+void ubuntu_app_launch_mock_set_primary_pid (GPid pid);
 

